﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;
using System.Data;
using Infragistics.Web.UI.NavigationControls;

public partial class WebDataTreeTemplate_inExplorerBar : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
        {
            Debug.Print("PostBack");
        }
        else
        {
            Debug.Print("Page_Load");

            DataTable dt = new DataTable();
            // setting the required DataType format here (Enshure that the DataSource DataType is correct)
            DataColumn column = new DataColumn();

            column.DataType = System.Type.GetType("System.Int32");
            column.ColumnName = "Number";

            dt.Columns.Add("Key");
            dt.Columns.Add("Name");
            dt.Columns.Add(column);
            dt.Columns.Add("DecimalNumber");
            dt.PrimaryKey = new DataColumn[] { dt.Columns["Key"] };
            DataRow row;
            for (int i = 0; i < 3; i++)
            {
                row = dt.NewRow();
                row.SetField<Int32>("Key", i);
                row.SetField<string>("Name", "Name" + i);
                row.SetField<Int32>("Number", 1 + i);
                row.SetField<decimal>("DecimalNumber", 1 + i);

                dt.Rows.Add(row);
            }
            if (dt.Rows.Count > 0)
            {
                int i = 0;
                foreach (DataRow dr in dt.Rows)
                {
                    Infragistics.Web.UI.NavigationControls.ExplorerBarGroup grp = new Infragistics.Web.UI.NavigationControls.ExplorerBarGroup();
                    grp.Text = dr[1].ToString();
                    grp.Value = dr[1].ToString();
                    WebExplorerBar2.Groups.Add(grp);
                    ExplorerBarItem item = new ExplorerBarItem();
                    item.TemplateId = "Template2";
                    item.Value = grp.Text;
                    WebExplorerBar2.Groups[i].Items.Add(item);
                    i++;
                }
            }
        }
    }
    protected void WebDataTree1_NodeClick(object sender, Infragistics.Web.UI.NavigationControls.DataTreeNodeClickEventArgs e)
    {
        if (!e.Node.HasChildren)
        {
            Debug.Print(("NodeHasNoChildren"));
        }
        else
        {
            Debug.Print("NodeHasChildren");
        }
    }
    protected void WebExplorerBar1_ItemClick(object sender, Infragistics.Web.UI.NavigationControls.ExplorerBarItemClickEventArgs e)
    {
        Debug.Print("WebExplorerBar1_ItemClick");
    }
    protected void WebExplorerBar1_ItemSelected(object sender, Infragistics.Web.UI.NavigationControls.ExplorerBarItemSelectedEventArgs e)
    {
        Debug.Print("WebExplorerBar1_ItemSelected");
    }
    protected void WebExplorerBar1_PreRender(object sender, EventArgs e)
    {
        Debug.Print("WebExplorerBar1_PreRender");
    }
}